Support » Installation » Kann mich nicht einloogen Fehlermeldungen

  • Gelöst phaedro

    (@phaedro)


    Hallo,
    ich möchte mich wieder auf meine WordPressseite einloggen und die Seite weiterbearbeiten.
    Leider bekomme ich immer untenstehende Fehlermeldungen.
    Was kann ich tun?
    Danke für die Hilfe.

    Warning: Cannot modify header information - headers already sent by (output started at /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-content/themes/grishma/customizer.php:1) in /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-login.php on line 400
    
    Warning: Cannot modify header information - headers already sent by (output started at /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-content/themes/grishma/customizer.php:1) in /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-login.php on line 416
    
    Warning: Cannot modify header information - headers already sent by (output started at /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-content/themes/grishma/customizer.php:1) in /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-includes/functions.php on line 6712
    
    Warning: Cannot modify header information - headers already sent by (output started at /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-content/themes/grishma/customizer.php:1) in /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-includes/pluggable.php on line 1002
    
    Warning: Cannot modify header information - headers already sent by (output started at /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-content/themes/grishma/customizer.php:1) in /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-includes/pluggable.php on line 1003
    
    Warning: Cannot modify header information - headers already sent by (output started at /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-content/themes/grishma/customizer.php:1) in /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-includes/pluggable.php on line 1004

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)
  • Moderator Bego Mario Garde

    (@pixolin)

    Dein Theme hat einen Programmierfehler und gibt eine Fehlermeldung aus, bevor ein Anmelde-Cookie gesetzt werden kann. Der Fehler wirkt sich auch auf das Frontend der Website aus, wo bis auf die Fehlermeldung nichts mehr ausgegeben wird.

    Prüf bitte mal, welche PHP-Version deine Website aktuell verwendet. Dazu solltest du Informationen im Kundenmenü des Webhosters finden, oft unter einem Menüeintrag wie „PHP-Experteneinstellungen“. Viele Themes und Plugins unterstützen noch nicht PHP ≥ 8.0. PHP 7.4 wäre optimal und wird noch bis November 2022 mit Sicherheitsupdates unterstützt.

    Du kannst dann per FTP in der Konfigurationsdatei wp-config.php in der Zeile define( 'WP_DEBUG', true ); den Wert auf false ändern, damit keine Fehlermeldungen mehr ausgegeben werden. Reicht das noch nicht für eine Anmeldung im Backend, kannst du per FTP das Verzeichnis wp-content/themes/grishma umbenennen. WordPress fällt dann auf einer der Standard-Themes („Twenty …“) zurück, damit der Fehler dich nicht mehr davon abhält, dich im Backend anzumelden.


    Nachtrag: Website läuft wieder, wahrscheinlich hast du bereits selber eine Lösung gefunden.

    Hallo,
    teste bitte mal, ob du dich anmelden kannst, wenn du die Anmeldung in einem anderen Browser oder im Inkgonito-Fenster z. B. bei Chrome vornimmst.
    Möglicherweise hast du aber auch die wp-config.php nicht mit einem geeigneten Editor (z. B. der Windows Editor) bearbeitet.
    Am besten öffnest du die wp-config.php z. B. mit Notepad++ und schau mal unter dem Menüpunkt „Kodierung“. Da sollte unbedingt „UTF-8“ stehen und nicht „UTF-8-BOM“. Ansonsten musst du das umstellen.
    Anleitung dazu siehe z. B. hier.
    Viele Grüße
    Hans-Gerd

    Thread-Ersteller phaedro

    (@phaedro)

    Vielen Dank für eure Antworten.
    Es lag am Theme. Nachdem ich das aus dem WordPressordner gelöscht habe, konnte ich mich wieder einloggen und die Seite bearbeiten. Neues Theme, neues Glück.
    Anscheinend verträgt Grisham die neue Php-Version nicht.

    Danke nochmal

    Moderator Bego Mario Garde

    (@pixolin)

    Du hast zwar meine Antwort nicht gelesen, aber ich freue mich, dass du trotzdem eine Lösung gefunden hast.

    Thread-Ersteller phaedro

    (@phaedro)

    Danke, Mario.
    Ich hab’s erst nachdem ich die Lösung gefunden habe, gelesen.

    Warning: Cannot modify header information – headers already sent by (output started at /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-content/themes/grishma/customizer.php:1) in /homepages/33/d17145915/htdocs/sprecher_wordpress_2022/wp-login.php on line 400

    Ich wette, dass das nichts anderes bedeutet, als dass in der Datei wp-content/themes/grishma/customizer.php eine Leerzeile, ein Leerzeichen oder ein BOM steht.

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)